commit 36d4e296cd50f94e99a916b7f8040c82f3a7f221
Author: Dan Shope <dshope@andrew.cmu.edu>
Date:   Mon Oct 10 13:45:04 2011 -0400

    Updated website with shopping cart and pricing page. Updated CAD model & testing layouts.

diff --git a/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT b/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT
index 789ba52..dca769e 100644
Binary files a/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT and b/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT differ
diff --git a/CAD/DRAWING, BOM, Interference Test.SLDDRW b/CAD/DRAWING, BOM, Interference Test.SLDDRW
new file mode 100644
index 0000000..aa9ae43
Binary files /dev/null and b/CAD/DRAWING, BOM, Interference Test.SLDDRW differ
diff --git a/CAD/DRAWING, Life Size.SLDDRW b/CAD/DRAWING, Life Size.SLDDRW
index 5becc5e..461758f 100644
Binary files a/CAD/DRAWING, Life Size.SLDDRW and b/CAD/DRAWING, Life Size.SLDDRW differ
diff --git a/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT b/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT
index 78697c3..d40bba0 100644
Binary files a/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT and b/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT differ
diff --git a/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM b/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM
index 1c68fab..81e22cf 100644
Binary files a/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM and b/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM differ
diff --git a/CAD/SENSOR, CLIFF, GP2Y0D810.SLDPRT b/CAD/SENSOR, CLIFF, GP2Y0D810.SLDPRT
index 9c89eae..aabc3be 100644
Binary files a/CAD/SENSOR, CLIFF, GP2Y0D810.SLDPRT and b/CAD/SENSOR, CLIFF, GP2Y0D810.SLDPRT differ
diff --git a/docs/www/colonyscout/cache/applications.html b/docs/www/colonyscout/cache/applications.html
index 82946ef..ed3fc52 100644
--- a/docs/www/colonyscout/cache/applications.html
+++ b/docs/www/colonyscout/cache/applications.html
@@ -31,7 +31,7 @@
 
 <div id="general"> 
 	<div id="top">
-		<a href="index.php"><img src="/images/scout_logo.gif"></a>
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
 		<div id="top-navigation">
 			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
 			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
@@ -244,12 +244,12 @@
 
 	<div id="footer">
 		<center><p>
-		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2010 ColonyScout.com. All Rights Reserved. 
-		| <a href="index.php">Home</a>
-		| <a href="team.php#contact">Contact</a>
-		| <a href="sitemap.php">Sitemap</a>
-		| <a href="internal/">Internal</a>
-		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout">Wiki</a></span>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
 		</p></center>
 	</div>
 
diff --git a/docs/www/colonyscout/cache/cart.html b/docs/www/colonyscout/cache/cart.html
new file mode 100644
index 0000000..4445cee
--- /dev/null
+++ b/docs/www/colonyscout/cache/cart.html
@@ -0,0 +1,143 @@
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head> 
+		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>	
+		<meta name="description" content="FILL IN"/> 
+		<meta name="keywords" content="FILL IN"/> 
+ 
+
+<script src="/cufon-yui.js" type="text/javascript"></script>
+<script src="/Geogrotesque_Semibold_600.font.js" type="text/javascript"></script>
+<script type="text/javascript">
+	Cufon.replace('h1');
+	Cufon.replace('h2');
+	Cufon.replace('#pagenav');
+</script>
+
+<script language="javascript">
+  function toggleDiv(divid){
+    if(document.getElementById(divid).style.display == 'none'){
+      document.getElementById(divid).style.display = 'block';
+    }else{
+      document.getElementById(divid).style.display = 'none';
+    }
+  }
+</script>
+<link href="/main.css" rel="stylesheet" type="text/css" media="screen">
+<!--[if lte IE 7]><link rel="stylesheet" type="text/css" href="/mainIE.css" /><![endif]-->		<title>Shopping | ColonyScout.com</title> 
+ 
+</head>
+<body bgcolor="#eeeeee"> 
+
+<div id="general"> 
+	<div id="top">
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
+		<div id="top-navigation">
+			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
+			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
+			<a title="Sensors and Communications" href="/sensors.php">Sensors &amp; Communication</a>
+			<a title="Platform: Software and Hardware" href="/platform.php">Platform</a>
+			<a title="Applications for the Colony Scout" href="/applications.php">Applications</a>
+			<a title="Video of the Scout in Action" href="/gallery.php">Video</a>
+			<a title="Meet the Scout Team" href="/contact.php">Contact</a>
+			<a title="Contact The Scout Design Team" href="/team.php">Team</a>
+		</div>
+	</div> 
+	<div id="body">
+		<div id="body-boxes">
+			<div class="box-row" style="margin-top: 10px;">
+				<div class="white-top"></div>
+				<div class="white-body text-box">
+					<h1>Lease your Scout Today!</h1>
+					<p><span class="description">Take Scout out for a spin. Pair your Scout with smart accessories to unleash the powerful potential!.
+					<br/><br/>
+					</span></p>
+					<div class="hr"></div>
+					
+					<div id="leasing">
+					<h2>How do I lease a Scout?</h2>
+					<p>It's easy! Choose a Scout and add it to your cart. Sign the lease agreement, and we will automatically bill you every month.</p>
+					<p>If you're done using your Scout, you can return it and billing will cease. Ask us about buying your Scout for life!</p>
+					</div>
+					
+					<div id="store">
+					<p>
+					<script src="https://www-sgw-opensocial.googleusercontent.com/gadgets/ifr?url=https%3A%2F%2Fstoregadgetwizard.appspot.com%2Fservlets%2FgadgetServlet%3Fkey%3D0ApZJZfDBge48dFAwTzVIX2VWc2FDcDM0RXE4RWM5X3c%26mid%3D239651561362445%26currency%3DUSD%26sandbox%3Dtrue%26gadget%3DLARGE_V2&amp;container=storegadgetwizard&amp;w=940&amp;h=900&amp;title=&amp;brand=none&amp;output=js"></script>
+					</p>
+					<div class="hr"></div>
+					
+					</div><!--end 'TEMP' collapse-->	
+				</div>
+					
+				<div class="white-body text-box">					
+					<div id="bottom-nav">
+						<ul id="pagenav">
+							<li class="previous">
+								<a href="/applications.php">Applications</a></li>
+							<li class="next">
+								<a href="/contact.php">Contact</a></li>
+						</ul>
+					</div>
+				</div>
+
+							
+					
+				</div>
+				<div class="white-bottom"></div>
+			</div>					
+			
+			
+		</div>	
+	</div> <!--BODY!--> 
+
+
+	<div id="footer">
+		<center><p>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
+		</p></center>
+	</div>
+
+<script type="text/javascript"> Cufon.now(); </script>	
+<script type="text/javascript">
+
+  var _gaq = _gaq || [];
+  _gaq.push(['_setAccount', 'UA-6089041-2']);
+  _gaq.push(['_trackPageview']);
+
+  (function() {
+    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
+    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
+    (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(ga);
+  })();
+
+</script>
+</div><!--GENERAL!--> 
+ 
+ 
+ <script type="text/javascript" charset="utf-8">
+  var is_ssl = ("https:" == document.location.protocol);
+  var asset_host = is_ssl ? "https://s3.amazonaws.com/getsatisfaction.com/" : "http://s3.amazonaws.com/getsatisfaction.com/";
+  document.write(unescape("%3Cscript src='" + asset_host + "javascripts/feedback-v2.js' type='text/javascript'%3E%3C/script%3E"));
+</script>
+
+<script type="text/javascript" charset="utf-8">
+  var feedback_widget_options = {};
+
+  feedback_widget_options.display = "overlay";  
+  feedback_widget_options.company = "roboclub";
+  feedback_widget_options.placement = "right";
+  feedback_widget_options.color = "#222";
+  feedback_widget_options.style = "praise";
+  feedback_widget_options.product = "roboclub_colony_scout";  
+  feedback_widget_options.auto_tag = true;
+  
+  var feedback_widget = new GSFN.feedback_widget(feedback_widget_options);
+</script>
+ 
+</body></html>
+
diff --git a/docs/www/colonyscout/cache/index.html b/docs/www/colonyscout/cache/index.html
index f8e6837..d825b64 100644
--- a/docs/www/colonyscout/cache/index.html
+++ b/docs/www/colonyscout/cache/index.html
@@ -36,7 +36,7 @@
 
 <div id="general"> 
 	<div id="top">
-		<a href="index.php"><img src="/images/scout_logo.gif"></a>
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
 		<div id="top-navigation">
 			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
 			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
@@ -82,12 +82,12 @@
 
 	<div id="footer">
 		<center><p>
-		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2010 ColonyScout.com. All Rights Reserved. 
-		| <a href="index.php">Home</a>
-		| <a href="team.php#contact">Contact</a>
-		| <a href="sitemap.php">Sitemap</a>
-		| <a href="internal/">Internal</a>
-		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout">Wiki</a></span>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
 		</p></center>
 	</div>
 
diff --git a/docs/www/colonyscout/cache/intro.html b/docs/www/colonyscout/cache/intro.html
index 0e37624..1436236 100644
--- a/docs/www/colonyscout/cache/intro.html
+++ b/docs/www/colonyscout/cache/intro.html
@@ -31,7 +31,7 @@
 
 <div id="general"> 
 	<div id="top">
-		<a href="index.php"><img src="/images/scout_logo.gif"></a>
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
 		<div id="top-navigation">
 			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
 			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
@@ -104,16 +104,16 @@
 						<div class="hr"></div>
 						
 						<h1>Feature Comparison</h1>
-						<table> 
+						<table class="intro"> 
 							<tr><th><strong>Tech</strong></th><th><strong>Colony III</strong></th><th><strong>Scout</strong></th></tr> 
-							<tr><td>Processor</td><td>8MHz 8-bit AVR</td><td>600MHz 32-bit ARM9 + 16MHz 8-bit AVR</td></tr> 
+							<tr><td>Processor</td><td>8MHz 8-bit AVR</td><td>600MHz 32-bit Cortex A8 + 16MHz 8-bit AVR</td></tr> 
 							<tr><td>Rangefinders</td><td>5 Position (1.5-12in) IR</td><td>48 Position, 360-degree coverage (0-20ft) Sonar</td></tr> 
-							<tr><td>Battery</td><td>6.0VDC 2.6Ah NiMH</td><td>7.4VDC 4.0Ah Lion</td> </tr> 
+							<tr><td>Battery</td><td>6.0VDC 2.6Ah NiMH</td><td>7.4VDC 3.0Ah Lion</td> </tr> 
 							<tr><td>Locomotion</td><td>2 Wheel Differential Drive</td><td>4WD Skid Steer</td> </tr> 
 							<tr><td>Ground Clearance</td><td>None</td><td>1.34" Clearance with Rocker Pivot to conform to terrain</td> </tr> 
 							<tr><td>Cliff Detection</td><td>None</td><td>3 Side Drop-off Detection</td> </tr> 
-							<tr><td>BOM</td><td>16 Point IR</td><td>4 Point IR with modulation</td> </tr> 
-							<tr><td>Wireless</td><td>Zigbee, 300 ft range</td><td>IPv6, 1 mile range</td> </tr> 
+							<tr><td>BOM</td><td>16 Point IR</td><td>4 Point IR with modulation and noise suppression</td> </tr> 
+							<tr><td>Wireless</td><td>Zigbee, 300 ft range</td><td>Zigbee, >300 ft range</td> </tr> 
 							<tr><td>Charging</td><td> Removable</td><td>Integrated homing and charging contacts</td> </tr> 
 							<tr><td>Extension</td><td>None</td><td> Accessory/Expansion hardpoints and power/data connection</td> </tr> 
 							<tr><td>Production</td><td>Botrics</td><td>In-house design and manufacturing for full control over device lifetime</td> 
@@ -140,12 +140,12 @@
 
 	<div id="footer">
 		<center><p>
-		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2010 ColonyScout.com. All Rights Reserved. 
-		| <a href="index.php">Home</a>
-		| <a href="team.php#contact">Contact</a>
-		| <a href="sitemap.php">Sitemap</a>
-		| <a href="internal/">Internal</a>
-		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout">Wiki</a></span>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
 		</p></center>
 	</div>
 
diff --git a/docs/www/colonyscout/cache/mechanics.html b/docs/www/colonyscout/cache/mechanics.html
index 8de7565..0e9d935 100644
--- a/docs/www/colonyscout/cache/mechanics.html
+++ b/docs/www/colonyscout/cache/mechanics.html
@@ -31,7 +31,7 @@
 
 <div id="general"> 
 	<div id="top">
-		<a href="index.php"><img src="/images/scout_logo.gif"></a>
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
 		<div id="top-navigation">
 			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
 			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
@@ -51,14 +51,14 @@
 					<h1>Mechanical Platform</h1>
 					<p><span class="description">Powered by a robust 4WD system mated to a rocker 
 					suspension, the Scout can tackle indoor and outdoor terrain with ease. 
-					The CNC machined aluminum chassis provides a stable, wear resistant platform for the 
+					The cast urethane chassis provides a stable, wear resistant platform for the 
 					sensors and payload.</span></p>
 					<div class="hr"></div>
 					
 					<div class="content-box">
 						<h2>Chassis &amp; Suspension</h2><br/>
 						The Scout chassis was designed from the ground up to be robust and versatile. 
-						Fast 200rpm metal gearmotors propel the Scout at a brisk 90cm/s (~2mph). A rocker 
+						Fast 320rpm metal gearmotors propel the Scout at a brisk 180cm/s (~4mph). A rocker 
 						suspension allows the front and rear half of the robot to rotate independently, 
 						conforming to terrain and increasing the maximum payload.
 						<br/><br/>
@@ -71,7 +71,7 @@
 						<object width="247" height="150"><param name="movie" value="http://www.youtube.com/v/ZRmTcSOsWsQ?fs=1&amp;hl=en_US&amp;rel=0"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/ZRmTcSOsWsQ?fs=1&amp;hl=en_US&amp;rel=0" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="247" height="150"></embed></object>
 						<br/><br/>
 						
-						The chassis is cut from 6061 aluminum stock for a low-cost and high strength solution. Areas 
+						The chassis is cast from a hard urethane for a low-cost and high strength solution that minimizes part count. Areas 
 						subject to repeated wear such as the front undercarriage and rear accessory plate are coated 
 						in a protective diamond plate film. Each Scout can be customized with its own color scheme, adding 
 						"personality".
@@ -90,14 +90,14 @@
 					<div class="side-box">
 						<h3>Specifications</h3>
 						<ul>
-							<li>200rpm Metal Gearmotors</li>
+							<li>320rpm Metal Gearmotors</li>
 							<li>4WD Skid Steer</li>
 							<li>1.34" Ground Clearance</li>
 							<li>15 pound (7kg) carrying capacity</li>
 							<li>Climb an 80% grade</li>
 							<li>Integrated charging contacts</li>
 						</ul>
-					</div>		
+					</div>
 
 					<div id="bottom-nav">
 						<div class="hr"></div>
@@ -120,12 +120,12 @@
 
 	<div id="footer">
 		<center><p>
-		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2010 ColonyScout.com. All Rights Reserved. 
-		| <a href="index.php">Home</a>
-		| <a href="team.php#contact">Contact</a>
-		| <a href="sitemap.php">Sitemap</a>
-		| <a href="internal/">Internal</a>
-		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout">Wiki</a></span>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
 		</p></center>
 	</div>
 
diff --git a/docs/www/colonyscout/cache/platform.html b/docs/www/colonyscout/cache/platform.html
index 11a3ba3..86ab5b2 100644
--- a/docs/www/colonyscout/cache/platform.html
+++ b/docs/www/colonyscout/cache/platform.html
@@ -31,7 +31,7 @@
 
 <div id="general">
 	<div id="top">
-		<a href="index.php"><img src="/images/scout_logo.gif"></a>
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
 		<div id="top-navigation">
 			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
 			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
@@ -61,26 +61,26 @@
 
 					<div class="content-box">
 						<h2>System Overview</h2>
-						<p>The Scout mainboard pairs an 8-bit AVR as an IO node with an 32-bit ARM9 for heavy computational 
+						<p>The Scout mainboard pairs an 8-bit AVR as an IO node with an 32-bit ARM Cortex A8 for heavy computational 
 						tasks.</p>
 						<p><img src="images/software_blockdiagram.png" alt="Scout board design couples an ARM9 and AVR together."/></p>					</div>
 					<div class="side-box">
 						<h3>System Specifications</h3>
 							<ul>
-								<li>Atmel&reg; ARM9&trade; (AT91SAM9260)</li>
+								<li>ARM Cortex&trade; A8 (TI OMAP 3503)</li>
 									<ul>
-										<li>Clocked at 208Mhz</li>
+										<li>Clocked at 600Mhz</li>
 										<li>32-bit</li>
 										<li>MMU</li>
 									</ul>
-								<li>ATMega&trade; 128</li>
+								<li>ATMega&trade; 128RFA1</li>
 									<ul>
 										<li>Clocked at 16Mhz</li>
 										<li>8-bit</li>
+										<li>Inbuilt Zigbee&reg; Wireless</li>
 									</ul>
-								<li>512MiB SDRAM</li>
-								<li>16Mbit DataFlash + microSD Support</li>
-								<li>Atmel&trade; AT86RF231 Zigbee&reg; Wireless</li>
+								<li>256MB SDRAM</li>
+								<li>256MB Flash + microSD Support</li>
 							</ul>
 					</div>					
 
@@ -92,10 +92,10 @@
 					<div class="hr"></div>
 					<a href="javascript:;" title="Click to Expand" onmousedown="toggleDiv('os');">
 					<h1>Software Architecture</h1><img src="images/btn_expand.png" /></a>
-					<p><span class="description">Scout runs a <a href="http://prex.sourceforge.net/"/>Prex soft-RTOS</a> 
-					(real time operating system), which provides guarantees for tasks with strict deadlines. The 
-					multi-process architecture provides flexibility in programming robot behaviors, and any software 
-					lanugage can be used.
+					<p><span class="description">Scout runs on a Gumstix (Overo) port of <a href="http://www.ros.org/"/>ROS</a> 
+					(robot operating system), which provides the infrastructure necessary to control a complex robotic system. ROS has 
+					an active developer community, and the Scout team is proud to be a part of the developer network. The Scout port of ROS 
+					runs on top of Ubuntu (ARM).
 					<br/><br/><a href="javascript:;" onmousedown="toggleDiv('os');"><em>learn more &gt;&gt;</em></a>					
 					</span></p>
 					
@@ -147,12 +147,12 @@
 
 	<div id="footer">
 		<center><p>
-		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2010 ColonyScout.com. All Rights Reserved. 
-		| <a href="index.php">Home</a>
-		| <a href="team.php#contact">Contact</a>
-		| <a href="sitemap.php">Sitemap</a>
-		| <a href="internal/">Internal</a>
-		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout">Wiki</a></span>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
 		</p></center>
 	</div>
 
diff --git a/docs/www/colonyscout/cache/sensors.html b/docs/www/colonyscout/cache/sensors.html
index d44576a..66eacc3 100644
--- a/docs/www/colonyscout/cache/sensors.html
+++ b/docs/www/colonyscout/cache/sensors.html
@@ -31,7 +31,7 @@
 
 <div id="general">
 	<div id="top">
-		<a href="index.php"><img src="/images/scout_logo.gif"></a>
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
 		<div id="top-navigation">
 			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
 			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
@@ -79,12 +79,12 @@
 					<h2>Odometry &amp; Vehicle Dynamics</h2>
 					<p>Vehicle position is tracked by quadrature encoders on each wheel resulting in 3mm linear accuracy
 					<span class="super">3</span>. A custom IMU (inertial measurement unit) consisting of a 3-axis accelerometer 
-					and yaw-rate gyroscope provide detail of the vehicle's motion in three dimensions.
+					and pitch+yaw-rate gyroscope provide detail of the vehicle's motion in three dimensions.
 					</p>
 					<div class="hr"></div>
 					
 					<h2>Complementary Sensing</h2>
-					<p>The sonar rangefinders are supplemented by short range LED reflectance sensors for close wall 
+					<p>The sonar rangefinders are optionally supplemented by short range LED reflectance sensors for close wall 
 					following. Dual sensors on the front bumper provide resolved impact detection for escape manuevers or 
 					when manipulating objects.
 					</p>
@@ -114,7 +114,7 @@
 					<div id="communication" style="display:none;">
 					
 					<h2>Bearing and Orientation Module (BOM)</h2><br/>
-					<img src="images/irreceiver.gif" />
+					<img src="images/sensor_BOM.jpg" />
 					<p>The Scout BOM provides relative localization information between robots. Four IR transmitters 
 					around the base broadcast the robot's identification code and the sensor position, allowing 
 					relative orientation to be determined. The hardware is specially designed to reject environmental 
@@ -169,12 +169,12 @@
 
 	<div id="footer">
 		<center><p>
-		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2010 ColonyScout.com. All Rights Reserved. 
-		| <a href="index.php">Home</a>
-		| <a href="team.php#contact">Contact</a>
-		| <a href="sitemap.php">Sitemap</a>
-		| <a href="internal/">Internal</a>
-		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout">Wiki</a></span>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
 		</p></center>
 	</div>
 
diff --git a/docs/www/colonyscout/cache/team.html b/docs/www/colonyscout/cache/team.html
index e2432e0..86f36a5 100644
--- a/docs/www/colonyscout/cache/team.html
+++ b/docs/www/colonyscout/cache/team.html
@@ -32,7 +32,7 @@
 
 <div id="general"> 
 	<div id="top">
-		<a href="index.php"><img src="/images/scout_logo.gif"></a>
+		<a href="index.php"><img src="/images/scout_logo.jpg"></a>
 		<div id="top-navigation">
 			<a title="Introduction to the Scout robot" href="/intro.php">Introduction</a>
 			<a title="Mechanics of the Colony Scout" href="/mechanics.php">Mechanics</a>
@@ -51,7 +51,9 @@
 				<div class="white-body text-box">
 					<h1>Scout Design Team</h1>
 					<p><span class="description">Meet the members of the Scout design team.</span>
-					<a href="http://www.twitter.com/colonyscout/" title="Colony Scout Twitter Feed"><div id="team-twitter"></div></a></p>
+					<a href="http://www.twitter.com/colonyscout/" target="about:blank:" title="Colony Scout Twitter Feed">
+						<img id="team-twitter" src="/images/team_twitter.jpg"></a>
+					</p>
 					<div class="hr"></div>
 					
 					<div class="team-box">
@@ -138,12 +140,12 @@
 
 	<div id="footer">
 		<center><p>
-		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2010 ColonyScout.com. All Rights Reserved. 
-		| <a href="index.php">Home</a>
-		| <a href="team.php#contact">Contact</a>
-		| <a href="sitemap.php">Sitemap</a>
-		| <a href="internal/">Internal</a>
-		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout">Wiki</a></span>
+		<span class="small" style="position:relative; top:30px; left:0px;">&copy;2009-2011 ColonyScout.com. All Rights Reserved. 
+		| <a href="/index.php">Home</a>
+		| <a href="/team.php#contact">Contact</a>
+		| <a href="/sitemap.php">Sitemap</a>
+		| <a href="/internal/">Internal</a>
+		| <a href="http://www.roboticsclub.org/redmine/wiki/colonyscout" target="_blank">Wiki</a></span>
 		</p></center>
 	</div>
 
diff --git a/docs/www/colonyscout/images/cart/1001.jpg b/docs/www/colonyscout/images/cart/1001.jpg
new file mode 100644
index 0000000..a6ff026
Binary files /dev/null and b/docs/www/colonyscout/images/cart/1001.jpg differ
diff --git a/docs/www/colonyscout/images/cart/1002.jpg b/docs/www/colonyscout/images/cart/1002.jpg
new file mode 100644
index 0000000..7dcf34a
Binary files /dev/null and b/docs/www/colonyscout/images/cart/1002.jpg differ
diff --git a/docs/www/colonyscout/images/cart/1003.png b/docs/www/colonyscout/images/cart/1003.png
new file mode 100644
index 0000000..93a3941
Binary files /dev/null and b/docs/www/colonyscout/images/cart/1003.png differ
diff --git a/docs/www/colonyscout/images/cart/1100.jpg b/docs/www/colonyscout/images/cart/1100.jpg
new file mode 100644
index 0000000..59e11fb
Binary files /dev/null and b/docs/www/colonyscout/images/cart/1100.jpg differ
diff --git a/docs/www/colonyscout/images/cart/1101.jpg b/docs/www/colonyscout/images/cart/1101.jpg
new file mode 100644
index 0000000..fd8d374
Binary files /dev/null and b/docs/www/colonyscout/images/cart/1101.jpg differ
diff --git a/docs/www/colonyscout/images/hero_main.jpg b/docs/www/colonyscout/images/hero_main.jpg
index 4afa265..e56a84e 100644
Binary files a/docs/www/colonyscout/images/hero_main.jpg and b/docs/www/colonyscout/images/hero_main.jpg differ
diff --git a/docs/www/colonyscout/images/scout_logo.gif b/docs/www/colonyscout/images/scout_logo.gif
new file mode 100644
index 0000000..f721570
Binary files /dev/null and b/docs/www/colonyscout/images/scout_logo.gif differ
diff --git a/docs/www/colonyscout/index.php b/docs/www/colonyscout/index.php
index 97cc362..04b1d78 100644
--- a/docs/www/colonyscout/index.php
+++ b/docs/www/colonyscout/index.php
@@ -19,6 +19,41 @@ if (file_exists($cacheFile)) //we can read this cache file back reduce database
 		<meta name="keywords" content="Scout, robotics, Carnegie Mellon University, autonomous, engineer"> 
  
 <?php include("header.php"); ?>
+<script type="text/javascript" src="http://www.google.com/jsapi"></script>
+<script type="text/javascript">
+	google.load("jquery", "1.4.2");
+	
+	numphotos = 6;
+	photoselect = (Math.floor(Math.random() * numphotos) + 1);
+	
+	photo = new Image();
+	photo.src = "photos/" + photoselect + ".jpg";
+	
+	nextphoto = new Image();
+	nextphoto.src = "photos/" + ((photoselect % numphotos) + 1) + ".jpg";
+	
+	google.setOnLoadCallback(function() {	
+		$(document).ready(function() {
+			$('#photo').css('background-image', "url('" + photo.src + "')");
+			$('#photo').fadeIn();
+		});
+	});
+	
+	
+	function changephoto(){
+		photoselect = ((photoselect % numphotos) + 1);
+		photo = nextphoto;
+		
+		$('#photo').fadeOut(500, function(){
+			$('#photo').css('background-image', "url('" + photo.src + "')");
+			$('#photo').fadeIn();
+		});
+		
+		nextphoto = new Image();
+		nextphoto.src = "photos/" + ((photoselect % numphotos) + 1); + ".jpg";
+	}
+	
+</script>
 <script src="Cambria_400.font.js" type="text/javascript"></script>
 <script type="text/javascript">
 	Cufon.replace('#hero-banner-text', { fontFamily:'Cambria', textShadow:'#CCCCCC 1px 1px' });
@@ -34,7 +69,7 @@ if (file_exists($cacheFile)) //we can read this cache file back reduce database
 		<div id="body-boxes">
 			<div class="box-row">
 				<div id="hero-banner">
-					<div id="hero-banner-text">A low cost, versatile research platform for autonomous systems in collaborative robotics
+					<div id="hero-banner-text">An affordable, versatile research platform for autonomous systems in collaborative robotics
 						<br/><br/>
 						<a href="gallery.php" class="small">See it in action &gt;&gt;</a>
 					</div>
@@ -42,6 +77,11 @@ if (file_exists($cacheFile)) //we can read this cache file back reduce database
 				<div id="hero-banner-side"></div>
 			</div>
 
+			<div id="photo" style="display: none; width:700px; height:367px; margin: 0 0 0 0; background-color: #000000; background-image:url('photos/1.jpg'); background-repeat:no-repeat;">
+				<a href="javascript: changephoto();" style="width:700px; height:367px; margin:0 0 10 0; float:left; text-decoration: none; color: #000000;"></a>
+			</div>
+
+			
 			<div class="box-row topmargin">
 				<div class="white-top"></div>
 				<div class="white-body text-box">
diff --git a/renders/WebsiteSlider.psd b/renders/WebsiteSlider.psd
new file mode 100644
index 0000000..7e2f977
Binary files /dev/null and b/renders/WebsiteSlider.psd differ