commit b4cb37e16e330475af07d0d12df3e1691621cbef
Author: Julian Binder <jabinder@andrew.cmu.edu>
Date:   Sun Nov 11 16:45:12 2012 -0500

    Added UCC3911 Lithium-Ion Battery Protector to jabinder.lbr
    Also added UCC3911 to schematic with associated perhiperals

diff --git a/lbr/jabinder.lbr b/lbr/jabinder.lbr
index 5a52881..1ece28f 100644
--- a/lbr/jabinder.lbr
+++ b/lbr/jabinder.lbr
@@ -6,7 +6,7 @@
 <setting alwaysvectorfont="no"/>
 <setting verticaltext="up"/>
 </settings>
-<grid distance="0.1" unitdist="inch" unit="inch" style="lines" multiple="1" display="no" altdistance="0.01" altunitdist="inch" altunit="inch"/>
+<grid distance="0.05" unitdist="inch" unit="inch" style="lines" multiple="1" display="yes" altdistance="0.01" altunitdist="inch" altunit="inch"/>
 <layers>
 <layer number="1" name="Top" color="4" fill="1" visible="yes" active="yes"/>
 <layer number="2" name="Route2" color="1" fill="3" visible="no" active="yes"/>
@@ -109,6 +109,30 @@
 <text x="-2.54" y="-3.81" size="1.27" layer="21">.</text>
 <text x="4.064" y="-2.54" size="1.27" layer="25" rot="R90">&gt;Name</text>
 </package>
+<package name="SOIC-16">
+<smd name="16" x="-3.81" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="15" x="-2.54" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="14" x="-1.27" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="13" x="0" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="12" x="1.27" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="11" x="2.54" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="10" x="3.81" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="9" x="5.08" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="1" x="-3.81" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="2" x="-2.54" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="4" x="0" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="3" x="-1.27" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="5" x="1.27" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="6" x="2.54" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="7" x="3.81" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="8" x="5.08" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<wire x1="-4.41" y1="1.89" x2="-4.41" y2="-1.89" width="0.2" layer="21"/>
+<wire x1="-4.41" y1="-1.89" x2="5.67" y2="-1.89" width="0.2" layer="21"/>
+<wire x1="5.67" y1="-1.89" x2="5.67" y2="1.89" width="0.2" layer="21"/>
+<wire x1="5.67" y1="1.89" x2="-4.41" y2="1.89" width="0.2" layer="21"/>
+<text x="-2.90680625" y="-1.538796875" size="1.27" layer="21" rot="R90">1</text>
+<text x="6.801725" y="-1.8388375" size="0.8128" layer="21" rot="R90">&lt;Name</text>
+</package>
 </packages>
 <symbols>
 <symbol name="2CELLBATT">
@@ -156,6 +180,30 @@
 <text x="0.508" y="2.286" size="1.778" layer="97">4</text>
 <text x="-5.08" y="-7.62" size="1.778" layer="97">&gt;Name</text>
 </symbol>
+<symbol name="UCC3911">
+<wire x1="-7.62" y1="20.32" x2="-7.62" y2="-20.32" width="0.254" layer="94"/>
+<wire x1="-7.62" y1="-20.32" x2="12.7" y2="-20.32" width="0.254" layer="94"/>
+<wire x1="12.7" y1="-20.32" x2="12.7" y2="20.32" width="0.254" layer="94"/>
+<wire x1="12.7" y1="20.32" x2="-7.62" y2="20.32" width="0.254" layer="94"/>
+<pin name="NC" x="-12.7" y="17.78" length="middle"/>
+<pin name="!OV" x="-12.7" y="12.7" length="middle"/>
+<pin name="!UV" x="-12.7" y="7.62" length="middle"/>
+<pin name="SUBS1" x="-12.7" y="2.54" length="middle"/>
+<pin name="SUBS2" x="-12.7" y="-2.54" length="middle"/>
+<pin name="GND" x="-12.7" y="-7.62" length="middle"/>
+<pin name="GND2" x="-12.7" y="-12.7" length="middle"/>
+<pin name="LPWARN" x="-12.7" y="-17.78" length="middle"/>
+<pin name="B2" x="17.78" y="17.78" length="middle" rot="R180"/>
+<pin name="CDLY" x="17.78" y="12.7" length="middle" rot="R180"/>
+<pin name="B1" x="17.78" y="7.62" length="middle" rot="R180"/>
+<pin name="SUBS4" x="17.78" y="2.54" length="middle" rot="R180"/>
+<pin name="SUBS3" x="17.78" y="-2.54" length="middle" rot="R180"/>
+<pin name="B0.2" x="17.78" y="-7.62" length="middle" rot="R180"/>
+<pin name="B0.1" x="17.78" y="-12.7" length="middle" rot="R180"/>
+<pin name="CE" x="17.78" y="-17.78" length="middle" rot="R180"/>
+<text x="5.08" y="-22.86" size="1.778" layer="95">&gt;Name</text>
+<text x="-7.62" y="21.59" size="1.778" layer="96">&gt;Values</text>
+</symbol>
 </symbols>
 <devicesets>
 <deviceset name="BK-18650-PC4">
@@ -224,6 +272,36 @@ Digikey: WM17450-ND</description>
 </device>
 </devices>
 </deviceset>
+<deviceset name="UCC3911">
+<gates>
+<gate name="G$1" symbol="UCC3911" x="-2.54" y="0"/>
+</gates>
+<devices>
+<device name="" package="SOIC-16">
+<connects>
+<connect gate="G$1" pin="!OV" pad="2"/>
+<connect gate="G$1" pin="!UV" pad="3"/>
+<connect gate="G$1" pin="B0.1" pad="10"/>
+<connect gate="G$1" pin="B0.2" pad="11"/>
+<connect gate="G$1" pin="B1" pad="14"/>
+<connect gate="G$1" pin="B2" pad="16"/>
+<connect gate="G$1" pin="CDLY" pad="15"/>
+<connect gate="G$1" pin="CE" pad="9"/>
+<connect gate="G$1" pin="GND" pad="6"/>
+<connect gate="G$1" pin="GND2" pad="7"/>
+<connect gate="G$1" pin="LPWARN" pad="8"/>
+<connect gate="G$1" pin="NC" pad="1"/>
+<connect gate="G$1" pin="SUBS1" pad="4"/>
+<connect gate="G$1" pin="SUBS2" pad="5"/>
+<connect gate="G$1" pin="SUBS3" pad="12"/>
+<connect gate="G$1" pin="SUBS4" pad="13"/>
+</connects>
+<technologies>
+<technology name=""/>
+</technologies>
+</device>
+</devices>
+</deviceset>
 </devicesets>
 </library>
 </drawing>