commit b4cb37e16e330475af07d0d12df3e1691621cbef
Author: Julian Binder <jabinder@andrew.cmu.edu>
Date:   Sun Nov 11 16:45:12 2012 -0500

    Added UCC3911 Lithium-Ion Battery Protector to jabinder.lbr
    Also added UCC3911 to schematic with associated perhiperals

diff --git a/batboard/batboard.brd b/batboard/batboard.brd
index ec3055c..31f40db 100644
--- a/batboard/batboard.brd
+++ b/batboard/batboard.brd
@@ -164,6 +164,30 @@
 <text x="-2.54" y="-3.81" size="1.27" layer="21">.</text>
 <text x="4.064" y="-2.54" size="1.27" layer="25" rot="R90">&gt;Name</text>
 </package>
+<package name="SOIC-16">
+<smd name="16" x="-3.81" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="15" x="-2.54" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="14" x="-1.27" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="13" x="0" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="12" x="1.27" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="11" x="2.54" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="10" x="3.81" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="9" x="5.08" y="2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="1" x="-3.81" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="2" x="-2.54" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="4" x="0" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="3" x="-1.27" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="5" x="1.27" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="6" x="2.54" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="7" x="3.81" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<smd name="8" x="5.08" y="-2.7" dx="0.6" dy="1.55" layer="1"/>
+<wire x1="-4.41" y1="1.89" x2="-4.41" y2="-1.89" width="0.2" layer="21"/>
+<wire x1="-4.41" y1="-1.89" x2="5.67" y2="-1.89" width="0.2" layer="21"/>
+<wire x1="5.67" y1="-1.89" x2="5.67" y2="1.89" width="0.2" layer="21"/>
+<wire x1="5.67" y1="1.89" x2="-4.41" y2="1.89" width="0.2" layer="21"/>
+<text x="-2.90680625" y="-1.538796875" size="1.27" layer="21" rot="R90">1</text>
+<text x="6.801725" y="-1.8388375" size="0.8128" layer="21" rot="R90">&lt;Name</text>
+</package>
 </packages>
 </library>
 <library name="SparkFun-Capacitors">
@@ -262,6 +286,22 @@ We've spent an enormous amount of time creating and checking these footprints an
 <text x="-0.762" y="0.8255" size="0.4064" layer="25">&gt;NAME</text>
 <text x="-1.016" y="-1.397" size="0.4064" layer="27">&gt;VALUE</text>
 </package>
+<package name="0603-RES">
+<wire x1="-1.473" y1="0.983" x2="1.473" y2="0.983" width="0.0508" layer="39"/>
+<wire x1="1.473" y1="0.983" x2="1.473" y2="-0.983" width="0.0508" layer="39"/>
+<wire x1="1.473" y1="-0.983" x2="-1.473" y2="-0.983" width="0.0508" layer="39"/>
+<wire x1="-1.473" y1="-0.983" x2="-1.473" y2="0.983" width="0.0508" layer="39"/>
+<wire x1="-0.356" y1="0.432" x2="0.356" y2="0.432" width="0.1016" layer="51"/>
+<wire x1="-0.356" y1="-0.419" x2="0.356" y2="-0.419" width="0.1016" layer="51"/>
+<smd name="1" x="-0.85" y="0" dx="1.1" dy="1" layer="1"/>
+<smd name="2" x="0.85" y="0" dx="1.1" dy="1" layer="1"/>
+<text x="-0.889" y="0.762" size="0.4064" layer="25" font="vector">&gt;NAME</text>
+<text x="-1.016" y="-1.143" size="0.4064" layer="27" font="vector">&gt;VALUE</text>
+<rectangle x1="-0.8382" y1="-0.4699" x2="-0.3381" y2="0.4801" layer="51"/>
+<rectangle x1="0.3302" y1="-0.4699" x2="0.8303" y2="0.4801" layer="51"/>
+<rectangle x1="-0.1999" y1="-0.3" x2="0.1999" y2="0.3" layer="35"/>
+<rectangle x1="-0.2286" y1="-0.381" x2="0.2286" y2="0.381" layer="21"/>
+</package>
 </packages>
 </library>
 <library name="SparkFun-Connectors">
@@ -499,6 +539,14 @@ design rules under a new name.</description>
 <element name="JP1" library="SparkFun-Connectors" package="1X02" value="" x="-124.46" y="-13.97"/>
 <element name="C4" library="SparkFun-Capacitors" package="0805" value="0.68uF" x="-129.54" y="-12.7"/>
 <element name="D2" library="SparkFun-DiscreteSemi" package="SMA-DIODE" value="DIODE-SCHOTTKY_" x="-127" y="-17.78"/>
+<element name="U$2" library="jabinder" package="SOIC-16" value="UCC3911" x="-125.73" y="-24.13"/>
+<element name="C5" library="SparkFun-Capacitors" package="0805" value="330pF" x="-133.35" y="-25.4"/>
+<element name="C6" library="SparkFun-Capacitors" package="0805" value="10uF" x="-137.16" y="-25.4"/>
+<element name="R2" library="SparkFun-Passives" package="0603-RES" value="220" x="-137.16" y="-29.21"/>
+<element name="C7" library="SparkFun-Capacitors" package="0805" value="0.22uF" x="-140.97" y="-27.94"/>
+<element name="R3" library="SparkFun-Passives" package="0603-RES" value="10k" x="-140.97" y="-31.75"/>
+<element name="JP2" library="SparkFun-Connectors" package="1X02" value="" x="-139.7" y="-36.83"/>
+<element name="C8" library="SparkFun-Capacitors" package="0805" value="0.1uF,  25V" x="-144.78" y="-35.56"/>
 </elements>
 <signals>
 <signal name="V_BATT+">
@@ -509,6 +557,10 @@ design rules under a new name.</description>
 <contactref element="U2" pad="9"/>
 <contactref element="C3" pad="1"/>
 <contactref element="R1" pad="1"/>
+<contactref element="R2" pad="2"/>
+<contactref element="C8" pad="2"/>
+<wire x1="-136.31" y1="-29.21" x2="-143.88" y2="-35.56" width="0" layer="19" extent="1-1"/>
+<wire x1="-126.63" y1="-7.62" x2="-136.31" y2="-29.21" width="0" layer="19" extent="1-1"/>
 <wire x1="-122.82" y1="-7.62" x2="-126.63" y2="-7.62" width="0" layer="19" extent="1-1"/>
 <wire x1="-117.72" y1="-2.54" x2="-122.82" y2="-7.62" width="0" layer="19" extent="1-1"/>
 <wire x1="-110.49" y1="2.8575" x2="-117.72" y2="-2.54" width="0" layer="19" extent="1-1"/>
@@ -516,9 +568,11 @@ design rules under a new name.</description>
 <wire x1="-93.65488125" y1="5.8547" x2="-107.95" y2="2.8575" width="0" layer="19" extent="1-1"/>
 <wire x1="-88.265" y1="29.972" x2="-93.65488125" y2="5.8547" width="0" layer="19" extent="1-1"/>
 </signal>
-<signal name="N$1">
+<signal name="INTERCELL">
 <contactref element="U$1" pad="-1"/>
 <contactref element="U$1" pad="+2"/>
+<contactref element="R3" pad="2"/>
+<wire x1="-88.265" y1="10.668" x2="-140.12" y2="-31.75" width="0" layer="19" extent="1-1"/>
 <wire x1="-15.875" y1="29.972" x2="-88.265" y2="10.668" width="0" layer="19" extent="1-1"/>
 </signal>
 <signal name="GND">
@@ -530,9 +584,14 @@ design rules under a new name.</description>
 <contactref element="C3" pad="2"/>
 <contactref element="JP1" pad="1"/>
 <contactref element="C1" pad="2"/>
-<contactref element="U$1" pad="-2"/>
 <contactref element="C4" pad="1"/>
 <contactref element="D2" pad="A"/>
+<contactref element="U$2" pad="7"/>
+<contactref element="U$2" pad="6"/>
+<contactref element="C8" pad="1"/>
+<wire x1="-123.19" y1="-26.83" x2="-145.68" y2="-35.56" width="0" layer="19" extent="1-1"/>
+<wire x1="-121.92" y1="-26.83" x2="-123.19" y2="-26.83" width="0" layer="19" extent="1-1"/>
+<wire x1="-129.15" y1="-17.78" x2="-123.19" y2="-26.83" width="0" layer="19" extent="1-1"/>
 <wire x1="-130.44" y1="-12.7" x2="-129.15" y2="-17.78" width="0" layer="19" extent="1-1"/>
 <wire x1="-124.46" y1="-13.97" x2="-129.15" y2="-17.78" width="0" layer="19" extent="1-1"/>
 <wire x1="-121.02" y1="-7.62" x2="-124.46" y2="-13.97" width="0" layer="19" extent="1-1"/>
@@ -542,7 +601,6 @@ design rules under a new name.</description>
 <wire x1="-102.87" y1="7.3025" x2="-107.95" y2="7.3025" width="0" layer="19" extent="1-1"/>
 <wire x1="-100.33" y1="7.3025" x2="-102.87" y2="7.3025" width="0" layer="19" extent="1-1"/>
 <wire x1="-93.98" y1="3.81" x2="-100.33" y2="7.3025" width="0" layer="19" extent="1-1"/>
-<wire x1="-15.875" y1="10.668" x2="-93.98" y2="3.81" width="0" layer="19" extent="1-1"/>
 </signal>
 <signal name="VIN">
 <contactref element="CHRG" pad="1"/>
@@ -590,6 +648,45 @@ design rules under a new name.</description>
 <contactref element="U2" pad="6"/>
 <wire x1="-92.3544" y1="1.7653" x2="-128.64" y2="-12.7" width="0" layer="19" extent="1-1"/>
 </signal>
+<signal name="N$9">
+<contactref element="U$2" pad="15"/>
+<contactref element="C5" pad="1"/>
+<wire x1="-128.27" y1="-21.43" x2="-134.25" y2="-25.4" width="0" layer="19" extent="1-1"/>
+</signal>
+<signal name="N$10">
+<contactref element="U$2" pad="16"/>
+<contactref element="C6" pad="2"/>
+<contactref element="R2" pad="1"/>
+<wire x1="-136.26" y1="-25.4" x2="-138.01" y2="-29.21" width="0" layer="19" extent="1-1"/>
+<wire x1="-129.54" y1="-21.43" x2="-136.26" y2="-25.4" width="0" layer="19" extent="1-1"/>
+</signal>
+<signal name="V_BATT-">
+<contactref element="U$1" pad="-2"/>
+<contactref element="U$2" pad="10"/>
+<contactref element="U$2" pad="11"/>
+<contactref element="C6" pad="1"/>
+<contactref element="C5" pad="2"/>
+<contactref element="C7" pad="1"/>
+<contactref element="JP2" pad="1"/>
+<wire x1="-141.87" y1="-27.94" x2="-139.7" y2="-36.83" width="0" layer="19" extent="1-1"/>
+<wire x1="-138.06" y1="-25.4" x2="-141.87" y2="-27.94" width="0" layer="19" extent="1-1"/>
+<wire x1="-132.45" y1="-25.4" x2="-138.06" y2="-25.4" width="0" layer="19" extent="1-1"/>
+<wire x1="-123.19" y1="-21.43" x2="-132.45" y2="-25.4" width="0" layer="19" extent="1-1"/>
+<wire x1="-121.92" y1="-21.43" x2="-123.19" y2="-21.43" width="0" layer="19" extent="1-1"/>
+<wire x1="-15.875" y1="10.668" x2="-121.92" y2="-21.43" width="0" layer="19" extent="1-1"/>
+</signal>
+<signal name="N$13">
+<contactref element="U$2" pad="14"/>
+<contactref element="C7" pad="2"/>
+<contactref element="R3" pad="1"/>
+<wire x1="-140.07" y1="-27.94" x2="-141.82" y2="-31.75" width="0" layer="19" extent="1-1"/>
+<wire x1="-127" y1="-21.43" x2="-140.07" y2="-27.94" width="0" layer="19" extent="1-1"/>
+</signal>
+<signal name="N$1">
+<contactref element="U$2" pad="9"/>
+<contactref element="JP2" pad="2"/>
+<wire x1="-120.65" y1="-21.43" x2="-137.16" y2="-36.83" width="0" layer="19" extent="1-1"/>
+</signal>
 </signals>
 </board>
 </drawing>