commit 9cf1f8b50e87977680e24a4596f508cf1e8a563f
Author: Dan Shope <dshope@andrew.cmu.edu>
Date:   Mon Jul 11 19:54:37 2011 -0400

    Added DocumentationImages

diff --git a/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram.png b/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram.png
new file mode 100644
index 0000000..eed490a
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram.png differ
diff --git a/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram.psd b/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram.psd
new file mode 100644
index 0000000..3fc82f3
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram.psd differ
diff --git a/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram2.png b/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram2.png
new file mode 100644
index 0000000..af26065
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/AVR ARM Block Diagram2.png differ
diff --git a/docs/DocumentationImages/Diagrams/BOM 4pairs.png b/docs/DocumentationImages/Diagrams/BOM 4pairs.png
new file mode 100644
index 0000000..73ea965
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOM 4pairs.png differ
diff --git a/docs/DocumentationImages/Diagrams/BOM 4pairs_Labeled.png b/docs/DocumentationImages/Diagrams/BOM 4pairs_Labeled.png
new file mode 100644
index 0000000..db3b0e7
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOM 4pairs_Labeled.png differ
diff --git a/docs/DocumentationImages/Diagrams/BOM 6pairs.png b/docs/DocumentationImages/Diagrams/BOM 6pairs.png
new file mode 100644
index 0000000..97261c3
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOM 6pairs.png differ
diff --git a/docs/DocumentationImages/Diagrams/BOM Compare 4 to 6.png b/docs/DocumentationImages/Diagrams/BOM Compare 4 to 6.png
new file mode 100644
index 0000000..1c53f5b
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOM Compare 4 to 6.png differ
diff --git a/docs/DocumentationImages/Diagrams/BOM Compare 4 to 6.psd b/docs/DocumentationImages/Diagrams/BOM Compare 4 to 6.psd
new file mode 100644
index 0000000..d3e4c6f
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOM Compare 4 to 6.psd differ
diff --git a/docs/DocumentationImages/Diagrams/BOM.psd b/docs/DocumentationImages/Diagrams/BOM.psd
new file mode 100644
index 0000000..dfa040f
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOM.psd differ
diff --git a/docs/DocumentationImages/Diagrams/BOM_4_Pairs.jpg b/docs/DocumentationImages/Diagrams/BOM_4_Pairs.jpg
new file mode 100644
index 0000000..2eb2c7a
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOM_4_Pairs.jpg differ
diff --git a/docs/DocumentationImages/Diagrams/BOMfly.psd b/docs/DocumentationImages/Diagrams/BOMfly.psd
new file mode 100644
index 0000000..799806a
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BOMfly.psd differ
diff --git a/docs/DocumentationImages/Diagrams/BREAKFLY, TOP ASSY.JPG b/docs/DocumentationImages/Diagrams/BREAKFLY, TOP ASSY.JPG
new file mode 100644
index 0000000..99ff99c
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BREAKFLY, TOP ASSY.JPG differ
diff --git a/docs/DocumentationImages/Diagrams/BREAKFLY, TOP ASSY.PSD b/docs/DocumentationImages/Diagrams/BREAKFLY, TOP ASSY.PSD
new file mode 100644
index 0000000..3c7c63b
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BREAKFLY, TOP ASSY.PSD differ
diff --git a/docs/DocumentationImages/Diagrams/BreakflyBoard_Decal.psd b/docs/DocumentationImages/Diagrams/BreakflyBoard_Decal.psd
new file mode 100644
index 0000000..30d9253
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BreakflyBoard_Decal.psd differ
diff --git a/docs/DocumentationImages/Diagrams/BreakflyGreen.png b/docs/DocumentationImages/Diagrams/BreakflyGreen.png
new file mode 100644
index 0000000..07b2af0
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/BreakflyGreen.png differ
diff --git a/docs/DocumentationImages/Diagrams/ChargeBoard.png b/docs/DocumentationImages/Diagrams/ChargeBoard.png
new file mode 100644
index 0000000..d4b1062
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/ChargeBoard.png differ
diff --git a/docs/DocumentationImages/Diagrams/ChargeBoard.psd b/docs/DocumentationImages/Diagrams/ChargeBoard.psd
new file mode 100644
index 0000000..5d7cd88
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/ChargeBoard.psd differ
diff --git a/docs/DocumentationImages/Diagrams/ChargeBoard_export.png b/docs/DocumentationImages/Diagrams/ChargeBoard_export.png
new file mode 100644
index 0000000..02b13bb
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/ChargeBoard_export.png differ
diff --git a/docs/DocumentationImages/Diagrams/ConnectorLabeled.psd b/docs/DocumentationImages/Diagrams/ConnectorLabeled.psd
new file mode 100644
index 0000000..dd424e2
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/ConnectorLabeled.psd differ
diff --git a/docs/DocumentationImages/Diagrams/Electronics.xlsx b/docs/DocumentationImages/Diagrams/Electronics.xlsx
new file mode 100644
index 0000000..f5ad98f
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/Electronics.xlsx differ
diff --git a/docs/DocumentationImages/Diagrams/EncoderBoard.psd b/docs/DocumentationImages/Diagrams/EncoderBoard.psd
new file mode 100644
index 0000000..42e2ed9
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/EncoderBoard.psd differ
diff --git a/docs/DocumentationImages/Diagrams/EncoderBoard_green.png b/docs/DocumentationImages/Diagrams/EncoderBoard_green.png
new file mode 100644
index 0000000..a223a3c
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/EncoderBoard_green.png differ
diff --git a/docs/DocumentationImages/Diagrams/EncoderBoard_green_bottom.png b/docs/DocumentationImages/Diagrams/EncoderBoard_green_bottom.png
new file mode 100644
index 0000000..06d2d93
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/EncoderBoard_green_bottom.png differ
diff --git a/docs/DocumentationImages/Diagrams/EncoderExport.png b/docs/DocumentationImages/Diagrams/EncoderExport.png
new file mode 100644
index 0000000..35d2f88
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/EncoderExport.png differ
diff --git a/docs/DocumentationImages/Diagrams/EncoderExport_Bottom.png b/docs/DocumentationImages/Diagrams/EncoderExport_Bottom.png
new file mode 100644
index 0000000..066f3b2
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/EncoderExport_Bottom.png differ
diff --git a/docs/DocumentationImages/Diagrams/ScoutFlyBottomGreen.png b/docs/DocumentationImages/Diagrams/ScoutFlyBottomGreen.png
new file mode 100644
index 0000000..cf0141a
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/ScoutFlyBottomGreen.png differ
diff --git a/docs/DocumentationImages/Diagrams/ScoutFlyGreen.png b/docs/DocumentationImages/Diagrams/ScoutFlyGreen.png
new file mode 100644
index 0000000..da72464
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/ScoutFlyGreen.png differ
diff --git a/docs/DocumentationImages/Diagrams/ScoutflyBoard_Bottom.psd b/docs/DocumentationImages/Diagrams/ScoutflyBoard_Bottom.psd
new file mode 100644
index 0000000..d259dea
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/ScoutflyBoard_Bottom.psd differ
diff --git a/docs/DocumentationImages/Diagrams/SonarHoming.jpg b/docs/DocumentationImages/Diagrams/SonarHoming.jpg
new file mode 100644
index 0000000..635fb94
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/SonarHoming.jpg differ
diff --git a/docs/DocumentationImages/Diagrams/SonarHoming.png b/docs/DocumentationImages/Diagrams/SonarHoming.png
new file mode 100644
index 0000000..544abf0
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/SonarHoming.png differ
diff --git a/docs/DocumentationImages/Diagrams/SonarHoming.psd b/docs/DocumentationImages/Diagrams/SonarHoming.psd
new file mode 100644
index 0000000..3fd5a5c
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/SonarHoming.psd differ
diff --git a/docs/DocumentationImages/Diagrams/Subsumption Architecture Layer 0-1.png b/docs/DocumentationImages/Diagrams/Subsumption Architecture Layer 0-1.png
new file mode 100644
index 0000000..8bb2179
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/Subsumption Architecture Layer 0-1.png differ
diff --git a/docs/DocumentationImages/Diagrams/Subsumption Architecture.xlsx b/docs/DocumentationImages/Diagrams/Subsumption Architecture.xlsx
new file mode 100644
index 0000000..31541b3
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/Subsumption Architecture.xlsx differ
diff --git a/docs/DocumentationImages/Diagrams/SuggestedCastingLayout copy.png b/docs/DocumentationImages/Diagrams/SuggestedCastingLayout copy.png
new file mode 100644
index 0000000..5280233
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/SuggestedCastingLayout copy.png differ
diff --git a/docs/DocumentationImages/Diagrams/SuggestedCastingLayout.psd b/docs/DocumentationImages/Diagrams/SuggestedCastingLayout.psd
new file mode 100644
index 0000000..13ad04b
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/SuggestedCastingLayout.psd differ
diff --git a/docs/DocumentationImages/Diagrams/WiringHarnessAssembly.psd b/docs/DocumentationImages/Diagrams/WiringHarnessAssembly.psd
new file mode 100644
index 0000000..21b9c24
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/WiringHarnessAssembly.psd differ
diff --git a/docs/DocumentationImages/Diagrams/connectors.psd b/docs/DocumentationImages/Diagrams/connectors.psd
new file mode 100644
index 0000000..729b529
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/connectors.psd differ
diff --git a/docs/DocumentationImages/Diagrams/dshope_breakfly_09-30-2010.png b/docs/DocumentationImages/Diagrams/dshope_breakfly_09-30-2010.png
new file mode 100644
index 0000000..f651d40
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/dshope_breakfly_09-30-2010.png differ
diff --git a/docs/DocumentationImages/Diagrams/dshope_breakfly_10-01-2010.png b/docs/DocumentationImages/Diagrams/dshope_breakfly_10-01-2010.png
new file mode 100644
index 0000000..56c687d
Binary files /dev/null and b/docs/DocumentationImages/Diagrams/dshope_breakfly_10-01-2010.png differ
diff --git a/docs/DocumentationImages/Presentations/Colony Powerpoint Background.png b/docs/DocumentationImages/Presentations/Colony Powerpoint Background.png
new file mode 100644
index 0000000..f71bfb1
Binary files /dev/null and b/docs/DocumentationImages/Presentations/Colony Powerpoint Background.png differ
diff --git a/docs/DocumentationImages/Presentations/Colony Powerpoint Background.psd b/docs/DocumentationImages/Presentations/Colony Powerpoint Background.psd
new file mode 100644
index 0000000..4c7aec9
Binary files /dev/null and b/docs/DocumentationImages/Presentations/Colony Powerpoint Background.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/042818_file.jpg b/docs/DocumentationImages/WebsiteManual/042818_file.jpg
new file mode 100644
index 0000000..4237231
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/042818_file.jpg differ
diff --git a/docs/DocumentationImages/WebsiteManual/20081013702947877801.jpg b/docs/DocumentationImages/WebsiteManual/20081013702947877801.jpg
new file mode 100644
index 0000000..e2a8fa7
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/20081013702947877801.jpg differ
diff --git a/docs/DocumentationImages/WebsiteManual/AddToCartButton.psd b/docs/DocumentationImages/WebsiteManual/AddToCartButton.psd
new file mode 100644
index 0000000..7ecf521
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/AddToCartButton.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/AddToCartButton2.psd b/docs/DocumentationImages/WebsiteManual/AddToCartButton2.psd
new file mode 100644
index 0000000..a79bc4f
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/AddToCartButton2.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/CadSoft-EAGLE-Professional.png b/docs/DocumentationImages/WebsiteManual/CadSoft-EAGLE-Professional.png
new file mode 100644
index 0000000..99ac8cb
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/CadSoft-EAGLE-Professional.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/DownloadButton.psd b/docs/DocumentationImages/WebsiteManual/DownloadButton.psd
new file mode 100644
index 0000000..f112e71
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/DownloadButton.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/DragButton.psd b/docs/DocumentationImages/WebsiteManual/DragButton.psd
new file mode 100644
index 0000000..a3f90e2
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/DragButton.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/PDF_logo.gif b/docs/DocumentationImages/WebsiteManual/PDF_logo.gif
new file mode 100644
index 0000000..754a567
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/PDF_logo.gif differ
diff --git a/docs/DocumentationImages/WebsiteManual/PhotoUnavailable.psd b/docs/DocumentationImages/WebsiteManual/PhotoUnavailable.psd
new file mode 100644
index 0000000..d18d58e
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/PhotoUnavailable.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/Picture-5.png b/docs/DocumentationImages/WebsiteManual/Picture-5.png
new file mode 100644
index 0000000..3dad8f3
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/Picture-5.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/SamplePage.png b/docs/DocumentationImages/WebsiteManual/SamplePage.png
new file mode 100644
index 0000000..5a468d8
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/SamplePage.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/ScoutLogoInternal.psd b/docs/DocumentationImages/WebsiteManual/ScoutLogoInternal.psd
new file mode 100644
index 0000000..ed5cdf4
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/ScoutLogoInternal.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/ScoutManualWebsite.psd b/docs/DocumentationImages/WebsiteManual/ScoutManualWebsite.psd
new file mode 100644
index 0000000..c152a7c
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/ScoutManualWebsite.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/ScoutParts.psd b/docs/DocumentationImages/WebsiteManual/ScoutParts.psd
new file mode 100644
index 0000000..06c7461
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/ScoutParts.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/Solidworks-Logo.png b/docs/DocumentationImages/WebsiteManual/Solidworks-Logo.png
new file mode 100644
index 0000000..cb6e0d9
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/Solidworks-Logo.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/StepTitle.psd b/docs/DocumentationImages/WebsiteManual/StepTitle.psd
new file mode 100644
index 0000000..f67c850
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/StepTitle.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/StepTitleText.psd b/docs/DocumentationImages/WebsiteManual/StepTitleText.psd
new file mode 100644
index 0000000..576fe0f
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/StepTitleText.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/TOP LEVEL.AI b/docs/DocumentationImages/WebsiteManual/TOP LEVEL.AI
new file mode 100644
index 0000000..c07bd14
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/TOP LEVEL.AI differ
diff --git a/docs/DocumentationImages/WebsiteManual/TableRow.psd b/docs/DocumentationImages/WebsiteManual/TableRow.psd
new file mode 100644
index 0000000..748a31d
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/TableRow.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/UpDown.psd b/docs/DocumentationImages/WebsiteManual/UpDown.psd
new file mode 100644
index 0000000..fa3c685
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/UpDown.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/WebTabs.psd b/docs/DocumentationImages/WebsiteManual/WebTabs.psd
new file mode 100644
index 0000000..0902041
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/WebTabs.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/Wiring.psd b/docs/DocumentationImages/WebsiteManual/Wiring.psd
new file mode 100644
index 0000000..d9749bc
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/Wiring.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/WiringConnector.psd b/docs/DocumentationImages/WebsiteManual/WiringConnector.psd
new file mode 100644
index 0000000..5e5697d
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/WiringConnector.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/WiringImages.psd b/docs/DocumentationImages/WebsiteManual/WiringImages.psd
new file mode 100644
index 0000000..90664d9
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/WiringImages.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/buttons.psd b/docs/DocumentationImages/WebsiteManual/buttons.psd
new file mode 100644
index 0000000..2b7ec1e
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/buttons.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/download_arrow.jpg b/docs/DocumentationImages/WebsiteManual/download_arrow.jpg
new file mode 100644
index 0000000..edb5191
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/download_arrow.jpg differ
diff --git a/docs/DocumentationImages/WebsiteManual/eagle button.psd b/docs/DocumentationImages/WebsiteManual/eagle button.psd
new file mode 100644
index 0000000..4be0762
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/eagle button.psd differ
diff --git a/docs/DocumentationImages/WebsiteManual/green_round_tick_sign_4246.jpg b/docs/DocumentationImages/WebsiteManual/green_round_tick_sign_4246.jpg
new file mode 100644
index 0000000..54957f3
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/green_round_tick_sign_4246.jpg differ
diff --git a/docs/DocumentationImages/WebsiteManual/icon_3d.png b/docs/DocumentationImages/WebsiteManual/icon_3d.png
new file mode 100644
index 0000000..c9847ab
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/icon_3d.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/icon_eagle.png b/docs/DocumentationImages/WebsiteManual/icon_eagle.png
new file mode 100644
index 0000000..f747c8e
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/icon_eagle.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/icon_solidworks.png b/docs/DocumentationImages/WebsiteManual/icon_solidworks.png
new file mode 100644
index 0000000..1d118b7
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/icon_solidworks.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/images.lnk b/docs/DocumentationImages/WebsiteManual/images.lnk
new file mode 100644
index 0000000..1a231c2
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/images.lnk differ
diff --git a/docs/DocumentationImages/WebsiteManual/mech_part.JPG b/docs/DocumentationImages/WebsiteManual/mech_part.JPG
new file mode 100644
index 0000000..350e1ac
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/mech_part.JPG differ
diff --git a/docs/DocumentationImages/WebsiteManual/page_battsupport.png b/docs/DocumentationImages/WebsiteManual/page_battsupport.png
new file mode 100644
index 0000000..a555830
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/page_battsupport.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/page_overview.png b/docs/DocumentationImages/WebsiteManual/page_overview.png
new file mode 100644
index 0000000..80f0fdc
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/page_overview.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/page_scoutfly.png b/docs/DocumentationImages/WebsiteManual/page_scoutfly.png
new file mode 100644
index 0000000..505c5ed
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/page_scoutfly.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/page_sonar.png b/docs/DocumentationImages/WebsiteManual/page_sonar.png
new file mode 100644
index 0000000..fb9ada4
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/page_sonar.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/round_red_x_sign_4229.jpg b/docs/DocumentationImages/WebsiteManual/round_red_x_sign_4229.jpg
new file mode 100644
index 0000000..b4379c2
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/round_red_x_sign_4229.jpg differ
diff --git a/docs/DocumentationImages/WebsiteManual/rubik_s_cube_simple_petr_01_xxl.png b/docs/DocumentationImages/WebsiteManual/rubik_s_cube_simple_petr_01_xxl.png
new file mode 100644
index 0000000..c760982
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/rubik_s_cube_simple_petr_01_xxl.png differ
diff --git a/docs/DocumentationImages/WebsiteManual/scout_logo.gif b/docs/DocumentationImages/WebsiteManual/scout_logo.gif
new file mode 100644
index 0000000..f721570
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/scout_logo.gif differ
diff --git a/docs/DocumentationImages/WebsiteManual/solidworks-logo (1).png b/docs/DocumentationImages/WebsiteManual/solidworks-logo (1).png
new file mode 100644
index 0000000..269950c
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/solidworks-logo (1).png differ
diff --git a/docs/DocumentationImages/WebsiteManual/wire_topview.psd b/docs/DocumentationImages/WebsiteManual/wire_topview.psd
new file mode 100644
index 0000000..24365f6
Binary files /dev/null and b/docs/DocumentationImages/WebsiteManual/wire_topview.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/.picasa.ini b/docs/DocumentationImages/WebsiteMarketing/.picasa.ini
new file mode 100644
index 0000000..3b052c1
--- /dev/null
+++ b/docs/DocumentationImages/WebsiteMarketing/.picasa.ini
@@ -0,0 +1,6 @@
+[cmar_officer.jpg]
+faces=rect64(28c10000d225ca3d),e33809f7ef89684c
+backuphash=57548
+[DSC01762.JPG]
+faces=rect64(56cc2555b532bccc),90d27f9909cf92fc
+backuphash=4002
diff --git a/docs/DocumentationImages/WebsiteMarketing/619px-Joystick_black_red_petri_01.svg.png b/docs/DocumentationImages/WebsiteMarketing/619px-Joystick_black_red_petri_01.svg.png
new file mode 100644
index 0000000..5cc75b6
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/619px-Joystick_black_red_petri_01.svg.png differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/BioPics.psd b/docs/DocumentationImages/WebsiteMarketing/BioPics.psd
new file mode 100644
index 0000000..c76ad72
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/BioPics.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/Colony3Compilation.psd b/docs/DocumentationImages/WebsiteMarketing/Colony3Compilation.psd
new file mode 100644
index 0000000..cbcabc0
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/Colony3Compilation.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/DSC00089.JPG b/docs/DocumentationImages/WebsiteMarketing/DSC00089.JPG
new file mode 100644
index 0000000..5291436
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/DSC00089.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/DSC00094.JPG b/docs/DocumentationImages/WebsiteMarketing/DSC00094.JPG
new file mode 100644
index 0000000..9344883
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/DSC00094.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/DSC00106.JPG b/docs/DocumentationImages/WebsiteMarketing/DSC00106.JPG
new file mode 100644
index 0000000..ad0ae71
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/DSC00106.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/DSC00121.JPG b/docs/DocumentationImages/WebsiteMarketing/DSC00121.JPG
new file mode 100644
index 0000000..b4a9551
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/DSC00121.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/DSC00226.JPG b/docs/DocumentationImages/WebsiteMarketing/DSC00226.JPG
new file mode 100644
index 0000000..8adcd93
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/DSC00226.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/DSC01762.JPG b/docs/DocumentationImages/WebsiteMarketing/DSC01762.JPG
new file mode 100644
index 0000000..47f6b37
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/DSC01762.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/DSC01841.JPG b/docs/DocumentationImages/WebsiteMarketing/DSC01841.JPG
new file mode 100644
index 0000000..771c3f6
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/DSC01841.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/Donate Button.psd b/docs/DocumentationImages/WebsiteMarketing/Donate Button.psd
new file mode 100644
index 0000000..0229a7c
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/Donate Button.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/ExpandButton.psd b/docs/DocumentationImages/WebsiteMarketing/ExpandButton.psd
new file mode 100644
index 0000000..b018be2
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/ExpandButton.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/Mechanical Strip.psd b/docs/DocumentationImages/WebsiteMarketing/Mechanical Strip.psd
new file mode 100644
index 0000000..1118982
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/Mechanical Strip.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/NoImage.psd b/docs/DocumentationImages/WebsiteMarketing/NoImage.psd
new file mode 100644
index 0000000..b321b04
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/NoImage.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/P1260935.JPG b/docs/DocumentationImages/WebsiteMarketing/P1260935.JPG
new file mode 100644
index 0000000..7649357
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/P1260935.JPG differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/P1260935.psd b/docs/DocumentationImages/WebsiteMarketing/P1260935.psd
new file mode 100644
index 0000000..fb23350
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/P1260935.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/Scout Yellow.psd b/docs/DocumentationImages/WebsiteMarketing/Scout Yellow.psd
new file mode 100644
index 0000000..4a548fe
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/Scout Yellow.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/ScoutPressKit.psd b/docs/DocumentationImages/WebsiteMarketing/ScoutPressKit.psd
new file mode 100644
index 0000000..986410f
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/ScoutPressKit.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/TeamMember_Small.psd b/docs/DocumentationImages/WebsiteMarketing/TeamMember_Small.psd
new file mode 100644
index 0000000..52d7bb1
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/TeamMember_Small.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/TeamMembers.psd b/docs/DocumentationImages/WebsiteMarketing/TeamMembers.psd
new file mode 100644
index 0000000..c9de912
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/TeamMembers.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/TechSpecs.psd b/docs/DocumentationImages/WebsiteMarketing/TechSpecs.psd
new file mode 100644
index 0000000..022ae45
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/TechSpecs.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/TwitterIcon.psd b/docs/DocumentationImages/WebsiteMarketing/TwitterIcon.psd
new file mode 100644
index 0000000..6762104
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/TwitterIcon.psd differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/center3a.jpg b/docs/DocumentationImages/WebsiteMarketing/center3a.jpg
new file mode 100644
index 0000000..799379c
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/center3a.jpg differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/cmar_officer.jpg b/docs/DocumentationImages/WebsiteMarketing/cmar_officer.jpg
new file mode 100644
index 0000000..6576803
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/cmar_officer.jpg differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/mechanics_capabilities.jpg b/docs/DocumentationImages/WebsiteMarketing/mechanics_capabilities.jpg
new file mode 100644
index 0000000..ab660d9
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/mechanics_capabilities.jpg differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/mechanics_dimensions.jpg b/docs/DocumentationImages/WebsiteMarketing/mechanics_dimensions.jpg
new file mode 100644
index 0000000..c133325
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/mechanics_dimensions.jpg differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/pm.png b/docs/DocumentationImages/WebsiteMarketing/pm.png
new file mode 100644
index 0000000..1bf9533
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/pm.png differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/twitter.jpg b/docs/DocumentationImages/WebsiteMarketing/twitter.jpg
new file mode 100644
index 0000000..a43b916
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/twitter.jpg differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/twitterIcon.png b/docs/DocumentationImages/WebsiteMarketing/twitterIcon.png
new file mode 100644
index 0000000..605d743
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/twitterIcon.png differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/twitter_logo (1).jpg b/docs/DocumentationImages/WebsiteMarketing/twitter_logo (1).jpg
new file mode 100644
index 0000000..e061415
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/twitter_logo (1).jpg differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/twitter_logo.jpg b/docs/DocumentationImages/WebsiteMarketing/twitter_logo.jpg
new file mode 100644
index 0000000..b883936
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/twitter_logo.jpg differ
diff --git a/docs/DocumentationImages/WebsiteMarketing/twitterbird.jpg b/docs/DocumentationImages/WebsiteMarketing/twitterbird.jpg
new file mode 100644
index 0000000..afeae6e
Binary files /dev/null and b/docs/DocumentationImages/WebsiteMarketing/twitterbird.jpg differ